Bug 457335 - system hang with preload
system hang with preload
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preload (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 19:53 EDT by Stefan Jensen
Modified: 2009-01-09 01:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:42:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2008-07-30 19:53:02 EDT
Description of problem:

System hang when starting preload service.
A few seconds after preload is started, the system become unresponsable.
(no mouse, no keyboard)

Version-Release number of selected component (if applicable):

preload-0.6-1.fc8 (from testing repo)

How reproducible:

Always

Steps to Reproduce:
1. install preload-0.6-1.fc8 from testing-repo
2. service start preload
  
Actual results:

System hangs

Expected results:

preload working. 

Additional info:

preload-0.4-5.fc8 runs fine.


grep preload /var/log/messages

Jul 31 01:00:32 hurricane kernel: preload invoked oom-killer: gfp_mask=0x40d0,
order=1, oomkilladj=0
Jul 31 01:00:32 hurricane kernel: Pid: 30871, comm: preload Tainted: P        
2.6.25.11-60.fc8 #1
Jul 31 01:01:00 hurricane kernel: preload invoked oom-killer: gfp_mask=0x40d0,
order=1, oomkilladj=0
Jul 31 01:01:00 hurricane kernel: Pid: 30516, comm: preload Tainted: P        
2.6.25.11-60.fc8 #1
Jul 31 01:05:37 hurricane kernel: preload invoked oom-killer: gfp_mask=0x40d0,
order=1, oomkilladj=0
Jul 31 01:05:37 hurricane kernel: Pid: 26637, comm: preload Tainted: P        
2.6.25.11-60.fc8 #1
Jul 31 01:07:08 hurricane kernel: preload invoked oom-killer: gfp_mask=0x40d0,
order=1, oomkilladj=0
Jul 31 01:07:08 hurricane kernel: Pid: 32480, comm: preload Tainted: P        
2.6.25.11-60.fc8 #1
Jul 31 01:07:48 hurricane kernel: INFO: task preload:25947 blocked for more than
120 seconds.
Jul 31 01:07:48 hurricane kernel: preload       D f799bf00     0 25947  25850
Jul 31 01:07:48 hurricane kernel: INFO: task preload:26168 blocked for more than
120 seconds.
Jul 31 01:07:48 hurricane kernel: preload       D f799bf00     0 26168  25909
Jul 31 01:07:52 hurricane kernel: INFO: task preload:25946 blocked for more than
120 seconds.
Jul 31 01:07:52 hurricane kernel: preload       D f799bf00     0 25946  25928
Jul 31 01:07:52 hurricane kernel: INFO: task preload:25950 blocked for more than
120 seconds.
Jul 31 01:07:52 hurricane kernel: preload       D f799bf00     0 25950  25819
Jul 31 01:07:52 hurricane kernel: INFO: task preload:25955 blocked for more than
120 seconds.
Jul 31 01:07:52 hurricane kernel: preload       D f799bf00     0 25955  25919
Jul 31 01:07:54 hurricane kernel: INFO: task preload:26255 blocked for more than
120 seconds.
Jul 31 01:07:54 hurricane kernel: preload       D f799bf00     0 26255  26202
Jul 31 01:07:54 hurricane kernel: INFO: task preload:26289 blocked for more than
120 seconds.
Jul 31 01:07:54 hurricane kernel: preload       D f799bf00     0 26289  26156
Jul 31 01:08:42 hurricane kernel: INFO: task preload:25968 blocked for more than
120 seconds.
Jul 31 01:08:42 hurricane kernel: preload       D f799bf00     0 25968  25919
Jul 31 01:09:59 hurricane kernel: INFO: task preload:25947 blocked for more than
120 seconds.
Jul 31 01:09:59 hurricane kernel: preload       D f799bf00     0 25947  25850
Jul 31 01:09:59 hurricane kernel: INFO: task preload:26062 blocked for more than
120 seconds.
Jul 31 01:09:59 hurricane kernel: preload       D f799bf00     0 26062  26029
Jul 31 01:09:59 hurricane kernel: INFO: task preload:26168 blocked for more than
120 seconds.
Jul 31 01:09:59 hurricane kernel: preload       D f799bf00     0 26168  25909
Jul 31 01:10:03 hurricane kernel: INFO: task preload:25946 blocked for more than
120 seconds.
Jul 31 01:10:03 hurricane kernel: preload       D f799bf00     0 25946  25928
Jul 31 01:10:03 hurricane kernel: INFO: task preload:25950 blocked for more than
120 seconds.
Jul 31 01:10:03 hurricane kernel: preload       D f799bf00     0 25950  25819
Jul 31 01:10:03 hurricane kernel: INFO: task preload:25955 blocked for more than
120 seconds.
Jul 31 01:10:03 hurricane kernel: preload       D f799bf00     0 25955  25919
Jul 31 01:10:05 hurricane kernel: INFO: task preload:26255 blocked for more than
120 seconds.
Jul 31 01:10:05 hurricane kernel: preload       D f799bf00     0 26255  26202
Jul 31 01:10:05 hurricane kernel: INFO: task preload:26289 blocked for more than
120 seconds.
Jul 31 01:10:05 hurricane kernel: preload       D f799bf00     0 26289  26156
Jul 31 01:10:08 hurricane kernel: INFO: task preload:26374 blocked for more than
120 seconds.
Jul 31 01:10:08 hurricane kernel: preload       D f799bf00     0 26374  26266
Jul 31 01:10:28 hurricane kernel: INFO: task preload:26242 blocked for more than
120 seconds.
Jul 31 01:10:28 hurricane kernel: preload       D f799bf00     0 26242  26161
Jul 31 01:10:30 hurricane kernel: INFO: task preload:26366 blocked for more than
120 seconds.
Jul 31 01:10:30 hurricane kernel: preload       D f799bf00     0 26366  25832
Comment 1 Behdad Esfahbod 2008-07-30 21:57:25 EDT
Filed request to remove those from updates-testing:
https://fedorahosted.org/rel-eng/ticket/759#comment:1
Sorry about it :(
Comment 2 Bug Zapper 2008-11-26 06:03:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stefan Jensen 2009-01-02 12:16:29 EST
Great. Seems that preload-0.6-1.fc8 is now in stable-repo. UNFIXED!
As a result my old, but very best F8 Server hangs now (again). Please don't push unfixed packages to stable, thanks.

I currently not updating this machine to 9 or 10, because of too many issues with dmraid.

Even if F8 is nearing end-of-life, this should not happen.

Best regards
Comment 4 Behdad Esfahbod 2009-01-02 16:38:13 EST
I've done all I could to remove the toxic updates (that I didn't create btw) :(.
Comment 5 Bug Zapper 2009-01-09 01:42:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.